关于使用AWS上的RHEL-8.x/Redhat系统使用本身单独购买的Redhat官网license致使的yum命令报错处理

2022年01月14日 阅读数:2
这篇文章主要向大家介绍关于使用AWS上的RHEL-8.x/Redhat系统使用本身单独购买的Redhat官网license致使的yum命令报错处理,主要内容包括基础应用、实用技巧、原理机制等方面,希望对大家有所帮助。

咱们在aws上使用市场提供的RHEL-8.x系统后,license相关的都是由aws官网一块儿提供了html

最近笔者将aws上一台做过系统加固的RHEL-8.x导出到本身本地DC环境,也注册了Redhat官网购买的license订阅python

但在使用全部yum命令时,都会报以下一段错误(TypeError: the JSON object must be str, bytes or bytearray, not 'NoneType'):json

[root@qq_5201351 ~]# yum repolist
Updating Subscription Management repositories.
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/plugin.py", line 104, in _caller
    getattr(plugin, method)()
  File "/usr/lib/python3.6/site-packages/dnf-plugins/amazon-id.py", line 111, in config
    aws_region = json.loads(id_doc)['region']
  File "/usr/lib64/python3.6/json/__init__.py", line 348, in loads
    'not {!r}'.format(s.__class__.__name__))
TypeError: the JSON object must be str, bytes or bytearray, not 'NoneType'

repo id                                                                 repo name
rhel-8-for-x86_64-appstream-rpms                                        Red Hat Enterprise Linux 8 for x86_64 - AppStream (RPMs)
rhel-8-for-x86_64-baseos-rpms                                           Red Hat Enterprise Linux 8 for x86_64 - BaseOS (RPMs)
[root@qq_5201351 ~]# 

固然虽然有报错,但实际上是能够正常使用yum安装软件的,但毕竟有报错,说明终究仍是有一点不正常的 ,笔者准备处理掉这个报错app

看到上面的报错中,有一点aws相关的信息,忽然想到是否是与aws提供的yum相关的配置与组件有关系呢测试

经过查询官方文档与分析,发现是与rh-amazon-rhui-client-3.0.32-1.el8.noarch这个软件包有关系ui

而后具体看了一下,这个软件具体包含的文件列表,以下spa

[root@qq_5201351 ~]# rpm -ql rh-amazon-rhui-client-3.0.32-1.el8.noarch
/etc/dnf/plugins/amazon-id.conf
/etc/init.d/choose_repo
/etc/init.d/rh-cloud-firstboot
/etc/pki/rhui/cdn.redhat.com-chain.crt
/etc/pki/rhui/content-rhel8.key
/etc/pki/rhui/product/content-rhel8.crt
/etc/pki/rhui/product/rhui-client-config-server-8.crt
/etc/pki/rhui/rhui-client-config-server-8.key
/etc/yum.repos.d/redhat-rhui-beta.repo
/etc/yum.repos.d/redhat-rhui-client-config.repo
/etc/yum.repos.d/redhat-rhui.repo
/usr/bin/rhui-restore-repos
/usr/bin/rhui-set-release
/usr/lib/python3.6/site-packages/dnf-plugins/__pycache__/amazon-id.cpython-36.opt-1.pyc
/usr/lib/python3.6/site-packages/dnf-plugins/__pycache__/amazon-id.cpython-36.pyc
/usr/lib/python3.6/site-packages/dnf-plugins/amazon-id.py
/usr/sbin/choose_repo.py
/usr/sbin/rh-cloud-firstboot.py
[root@qq_5201351 ~]#

分析后,是能够删除的,因而卸载,再测试,发现yum相关的命令再无报错:rest

[root@qq_5201351 ~]# rpm -e rh-amazon-rhui-client-3.0.32-1.el8.noarch
[root@qq_5201351 ~]# yum repolist
Updating Subscription Management repositories.
repo id repo name
rhel-8-for-x86_64-appstream-rpms Red Hat Enterprise Linux 8 for x86_64 - AppStream (RPMs)
rhel-8-for-x86_64-baseos-rpms Red Hat Enterprise Linux 8 for x86_64 - BaseOS (RPMs)
[root@qq_5201351 ~]# 

补充说明:默认状况下,若是redhat 8.x系统注册了redhat官方订阅后,code

即便/etc/yum.repos.d目录没有配置文件,执行yum相关的命令后,也会生成一个默认的redhat.repoorm

 

 

 

尊重别人的劳动成果 转载请务必注明出处:https://www.cnblogs.com/5201351/p/15602658.html